Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452371 - Can't print PDF; PS and text work fine
Summary: Can't print PDF; PS and text work fine
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-21 15:57 UTC by Horst H. von Brand
Modified: 2008-07-02 10:23 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-02 10:23:24 UTC


Attachments (Terms of Use)

Description Horst H. von Brand 2008-06-21 15:57:03 UTC
Description of problem:
Printing a PDF file shows the job, but it isn't printed. Printing plain text
files or PS works fine.

Version-Release number of selected component (if applicable):
cups-1.3.7-9.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. lpr something.pdf
2.
3.
  
Actual results:
lpq shows the job, but not as active; no printout.

Expected results:


Additional info:

Comment 1 Tim Waugh 2008-06-22 09:54:00 UTC
Please run the printing troubleshooter (Help->Troubleshoot from the
system-config-printer window) and attach the troubleshoot.txt file here.  Thanks.

Comment 2 Horst H. von Brand 2008-06-22 22:12:43 UTC
Run via "ssh -X" (I'm currently away from the machine):

$ system-config-printer
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 4891,
in <module>
    main(configure_printer, change_ppd)
  File "/usr/share/system-config-printer/system-config-printer.py", line 4861,
in main
    mainwindow = GUI(configure_printer, change_ppd)
  File "/usr/share/system-config-printer/system-config-printer.py", line 525, in
__init__
    self.populateList()
  File "/usr/share/system-config-printer/system-config-printer.py", line 860, in
populateList
    copy = pixbuf.copy ()
AttributeError: 'NoneType' object has no attribute 'copy'


Comment 3 Tim Waugh 2008-06-23 07:52:25 UTC
Run it this way if you like:

python /usr/share/system-config-printer/troubleshoot/__init__.py


Comment 4 Horst H. von Brand 2008-06-23 21:59:32 UTC
After today's round of updates (+ reboot for the kernel) printing works OK.

Running as directed in #3 gets to select the printer (a HP printer), a HP logo
shows up here (via SSH, again), and the print troubleshooter window hangs. The
HP print manager does work, however.

(I'm using SSH as trying to start Gnome or XFCE at the machine just gives a
continous stream of error windows, can't do anything; trying to startx by hand
tells me a stream of:

AUDIT: <date> 32102 X: client 1 rejected from local hosr ( uid=500 gid=500
pid=32101 )
  Auth name: XDM-AUTHORIZATION-1 ID: -1
Protocol not suppported by server
..
Giving up.
xinit: Resource temporarily unavailable (errno 11): unable to connect to X server

Waiting for X server to shut down

xinit: Server error

Comment 5 Tim Waugh 2008-07-02 10:23:24 UTC
(In reply to comment #4)
> Running as directed in #3 gets to select the printer (a HP printer), a HP logo
> shows up here (via SSH, again), and the print troubleshooter window hangs.

I've fixed that bug in the troubleshooter.  Thanks for mentioning it.



Note You need to log in before you can comment on or make changes to this bug.